#
# Copyright (C) 2025 Indiscale GmbH <info@indiscale.com>
# Copyright (C) 2025 Florian Spreckelsen <f.spreckelsen@indiscale.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
import linkahead as db


def post_process_containers(conts: db.Container):
    """Dummy function to be overwritten by custom code if desired.

    Parameters
    ----------
    conts : db.Container
        Container of container entities to be post-processed.

    Returns
    -------
    conts : db.Container
        Container of post-processed container entities to be inserted.
    """

    return conts


def post_process_parent_container(parent: db.Record):
    """Dummy function to be overwritten by custom code if desired.

    Parameters
    ----------
    parent : db.Record
        parent container entitiy to be post-processed.

    Returns
    -------
    parent : db.Record
        Post-processed parent container entity to be
        updated.
    """

    return parent
